///////////////////////////////////////////////////////////////////////////////
/// @file deActor.cpp
///
/// @brief Actor loading code
///
/// @author paradoxnj
///
/// This file is the intellectual property of Novus Delta, LLC.. Usage of the
/// contents of this file is subject to the Destiny3D Member License which
/// can be found at http://www.destiny3d.com.  Any other usage is prohibited.
///
/// This file is distributed "AS IS" without warranty of any kind.  Novus
/// Delta, LLC. does not guarantee the fitness of the contents of this file
/// for any particular purpose.
///
/// Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.
///
/// <hr>
///                                 Change History
/// <hr>
///
/// @date Apr 2003
/// @author paradoxnj
/// @remarks Creation
///
///////////////////////////////////////////////////////////////////////////////
#include "deActor_priv.hpp"

long deActorDef::s_ActorRscInterfaceID = 0;

IdeResourceBase *LoadActorDef(const char *filename, IdeFile *filesystem, deBoolean isThreaded)
{
	return NULL;
	/*
	copied & pasted from deBitmap
	deBitmap	*bmp;
	IdeFile		*file;
	
	// open up the file
	file = LoadFile(filename, filesystem, deTRUE, deFALSE);
	if (file == NULL)
		return NULL;
	
	// create a bitmap with the specified filename
	bmp = new deBitmap(filename);
	if (!bmp)
		return NULL;
	// load the bitmap data out of the file
	if (!bmp->LoadBMPFile(file))
	{
		bmp->Release();
		bmp = NULL;
	}
	
	file->Close();
	file->Release();
	
	return bmp;
	*/
}

deBoolean IdeActor_Initialize( ) {
	IdeResourceManager *mgr= IdeResourceManager_GetManager( );

	mgr->RegisterResourceType( "dactor", LoadActorDef );
	deActorDef::s_ActorRscInterfaceID = mgr->GetUniqueInterfaceID( );

	return deTRUE;
}

long IdeActor_GetRscInterfaceID( ) {
	return deActorDef::s_ActorRscInterfaceID;
}

IdeActorDef *IdeActor_CreateDefinition( ) {
	//	return new deActorDef();
	return NULL;
}

